package cn.net.cpzslibs.prot.bean.res;

public class Prot10001LoginResult {
	//{"companyID":"358000020","productID":"0","workMode":0}
    //{"errcode":65494,"errmsg":"","result":1}
	private String companyID;//公司ID
	private String productID;//产品ID
	private int workMode;//企业模式，0-产品 1-产家 2-商城 3-汽配 4-书类 5-佛教 6-酒类 7-快消品 9-烟草 10-红酒城 11-云天化
	private int errcode;
	private String errmsg;
	private int result;//0：请求成功     1：遇到错误信息，返回错误码
	public String getCompanyID() {
		return companyID;
	}
	public void setCompanyID(String companyID) {
		this.companyID = companyID;
	}
	public String getProductID() {
		return productID;
	}
	public void setProductID(String productID) {
		this.productID = productID;
	}
	public int getWorkMode() {
		return workMode;
	}
	public void setWorkMode(int workMode) {
		this.workMode = workMode;
	}
	public int getErrcode() {
		return errcode;
	}
	public void setErrcode(int errcode) {
		this.errcode = errcode;
	}
	public String getErrmsg() {
		return errmsg;
	}
	public void setErrmsg(String errmsg) {
		this.errmsg = errmsg;
	}
	public int getResult() {
		return result;
	}
	public void setResult(int result) {
		this.result = result;
	}
	@Override
	public String toString() {
		return "Prot10001LoginResult [companyID=" + companyID + ", productID=" + productID + ", workMode=" + workMode
				+ ", errcode=" + errcode + ", errmsg=" + errmsg + ", result=" + result + "]";
	}

}
